Bug 13551 - CTDB event command changed syntax and "script" list command was lost
CTDB event command changed syntax and "script" list command was lost
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: CTDB
4.9.0rc1
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-07-28 07:07 UTC by Martin Schwenke
Modified: 2018-07-31 16:37 UTC (History)
2 users (show)

See Also:


Attachments
Patches for 4.9.x (45.94 KB, patch)
2018-07-30 03:53 UTC, Amitay Isaacs
martins: review+
Details
WHATSNEW update for 4.9 (1.03 KB, patch)
2018-07-31 03:10 UTC, Martin Schwenke
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Schwenke 2018-07-28 07:07:44 UTC
Several updates related to the "ctdb event" command are needed:

* Reinstate "ctdb event script list" command

  With scripts installed in /usr/share/ctdb/scripts and enabled via
  symlinks, this is necessary.

* Update "ctdb event script enable/disable" to not use eventd

  Enabling via symlinks is done by the tool, so the chmod should be
  done consistently.

* Fix documentation to describe changed 4.9 "ctdb event" command
Comment 1 Amitay Isaacs 2018-07-30 03:53:03 UTC
Created attachment 14365 [details]
Patches for 4.9.x
Comment 2 Martin Schwenke 2018-07-30 06:04:15 UTC
Hi Karolin,

This is ready for 4.9.

Thanks...
Comment 3 Martin Schwenke 2018-07-31 03:10:29 UTC
Created attachment 14370 [details]
WHATSNEW update for 4.9
Comment 4 Martin Schwenke 2018-07-31 03:11:25 UTC
Added WHATSNEW update patch
Comment 5 Martin Schwenke 2018-07-31 04:15:03 UTC
Comment on attachment 14370 [details]
WHATSNEW update for 4.9

Dropping from here and adding single WHATSNEW update to 13546.
Comment 6 Martin Schwenke 2018-07-31 04:15:34 UTC
Hi Karolin,

This is ready (again :-) for 4.9.

Thanks...
Comment 7 Karolin Seeger 2018-07-31 10:36:25 UTC
(In reply to Martin Schwenke from comment #6)
Pushed to autobuild-v4-9-test.
Comment 8 Karolin Seeger 2018-07-31 16:37:50 UTC
(In reply to Karolin Seeger from comment #7)
Pushed to v4-9-test.
Closing out bug report.

Thanks!